Description

extra ID wrong message tried the add on with no luck please help

Associated revisions

Revision 3567:3a346181be1c - 09/19/2021 02:43 am - Jim Unroe

[KT8900] Add additional '2nd ID' for QYT KT8900

A new 2nd ID was discovered being used for the QYT KT8900 mobile radio. This
patch adds an additional 2nd ID to the list of known IDs for this model.

fixes #9357

History

#1 - 09/13/2021 01:57 pm - Bernhard Hailer

- Priority changed from High to Normal

- Model affected changed from (All models) to QYT
#2 - 09/13/2021 02:01 pm - Bernhard Hailer

- Status changed from New to Feedback
- Model affected changed from QYT to QYT KT8900

We assume that's one of the QYT KT8900 variants? Can you give us any details what you meant by "extra ID wrong message" and "tried the add on"?

Please consult "[[How To Report Issues]]" and provide a debug log. Thanks!

#3 - 09/13/2021 02:28 pm - Jim Unroe
- Platform changed from Windows to All

| would suspect that the radio has an MCU version that CHIRP is unaware of. Attempt to download from the radio. Close CHIRP and then attach the

debug.log file to this issue so the MCU version can be determined.

Jim KCOHI

#4 - 09/13/2021 04:19 pm - rich moc
how to | attach the debug.log thanks

and where do i find it

#5 - 09/13/2021 04:28 pm - rich moc

"An error has occurred"

"The extra ID is wrong, aborting"

#6 - 09/13/2021 04:31 pm - Jim Unroe

rich moc wrote:

how to | attach the debug.log thanks

and where do i find it

How to locate the debug.log file for the 3 supported operating systems (Windows, Linux and macOS) is located on the How to report issues page

located in the CHIRP documentation/wiki area.

Jim KC9HI

#7 - 09/13/2021 04:59 pm - rich moc
- File debug.log added

hope this is what you where looking for

#8 - 09/13/2021 05:16 pm - Jim Unroe

rich moc wrote:

/

hope this is what you where looking for

Yep. That is what | needed. You are choosing the wrong Model. You are choosing KT8900 and the model that you need to choose is KT8900R.

Jim KC9HI

#9 - 09/13/2021 10:49 pm - rich moc
- File debug.log added

did not work when | chose qyt 8900r

#10 - 09/14/2021 07:29 am - Jim Unroe
https://chirp.danplanet.com/projects/chirp/wiki/How_to_report_issues

rich moc wrote:

did not work when | chose qyt 8900r

This was useful. Your radio requires the "magic" string used by the QYT KT8900 to initiate the cloning process but responds with the "2nd ID" that

CHIRP expects to see from the QYT KT8900R. Let me see if | can develop something that will work with your radio.

Jim KC9HI

#11 - 09/14/2021 07:50 am - Jim Unroe
- File btech_kt8900.py added

| have put together this custom driver module that should work with your radio when selecting Model: KT8900. Please test it. If your feedback confirms

that it works, | will submit a formal patch.

The following explains how to load the custom driver module for testing.

1 save the attached "btech_kt8900.py" custom driver module to a convenient location

Important: left click the file name and then click the "download" link on the following page that loads.

2 open CHIRP

3 click "Help" in the menu bar and enable "Enable Developer Functions"

4 click "File" in the menu bar and select "Load Module" in the list of choices

5 locate and load the file that was saved in step 1

The CHIRP background should now be red. Attempt to download from your radio. If that works, attempt to upload to your radio. Let me know how it
works. Add another debug.log file if it doesn't.

Note: This test driver module does not permanently change your CHIRP installation. If you close CHIRP and later on need to access your radio, you
will have to load this custom driver module first.

Jim KC9HI

#12 - 09/14/2021 06:38 pm - rich moc

works thanks

#13 - 09/18/2021 04:24 pm - Jim Unroe
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100

A patch has been submitted to support the newly discovered "2nd ID". Support will be in the next CHIRP daily build following acceptance of the patch.

Jim KCOHI
#14 - 09/18/2021 04:24 pm - Jim Unroe
- Assignee set to Jim Unroe

- Target version set to chirp-daily

#15 - 09/18/2021 08:18 pm - Anonymous
- Status changed from Resolved to Closed

Applied in changeset commit:3a346181be1c.

Files

debug.log 30.1 kB 09/13/2021 rich moc

debug.log 31.1 kB 09/13/2021 rich moc

btech_kt8900.py 153 kB 09/14/2021 Jim Unroe
